Available Methods
-
Load - Load to a wallet
-
LoadReversal - Reverse a load to a wallet
Load
Load to a wallet.
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| terminalID | string | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| Reference | string | 11–19 characters | ✓ | The reference of the wallet to retrieve the balance for |
| requestAmount | integer | ✓ | The amount to be loaded | |
| narrative | string | 1–255 characters | ✓ | A description of the terminal where the card was used |
| transactionType | string | 2 characters | ✓ | Two-character string identifying the type of transaction: 28 = Payment |
| transactionID | string | 1–40 characters | ✓ | Client-generated transaction ID to assist in identifying transactions on the client side |
| transactionDate | date | Client-generated/local transaction date to assist in identifying transactions on the client side | ||
| checksum | string | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>LoadReversal
Reverse a Load to a wallet
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| terminalID | string | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| reference | string | 11–19 characters | ✓ | The reference of the wallet to retrieve the balance for |
| requestAmount | integer | ✓ | The amount to be loaded | |
| referenceID | string | ✓ | Transaction ID of the original transaction to be adjusted | |
| referenceDate | string | ✓ | Transaction date of the original transaction or a repeat of the original deduct to be adjusted | |
| narrative | string | 1–255 characters | ✓ | A description of the terminal where the card was used |
| transactionID | string | 1–40 characters | ✓ | Transaction ID number generated by the calling client |
| transactionData | string | ✓ | Extra information about the transaction in a KLV format | |
| transactionDate | date | Transaction date generated by the calling client | ||
| checksum | string | ✓ | HMAC-SHA1 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key |
<?xml version="1.0"?>
<methodCall>
<methodName>LoadReversal</methodName>
<params>
<param>
<value>
<string>0043889641</string>
</value>
</param>
<param>
<value>
<string>019919</string>
</value>
</param>
<param>
<value>
<int>180000</int>
</value>
</param>
<param>
<value>
<string>Testing Load </string>
</value>
</param>
<param>
<value>
<string>
</string>
</value>
</param>
<param>
<value>
<string>525337</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20201218T08:40:28</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>8968578568978</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20201218T13:52:52</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>A56B25A5145D0BBFFEC7107B4E95AF593728CC1E</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | Type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>OK</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>